Subject: Re: Virtual MGs

From: Tom-PT Taylor <[email-masked]>
Date: Sat, 12 Feb 2000 17:16:05 -0500

I'll be rash and say that the default ports apply only on the MGC side.  The
MGC has to send responses back to where the requests came from.  Your point
is valid to the extent that we should add text saying that a virtual MG MUST
set the ServiceChangeMgcId when registering with UDP/ALF, but maybe that
isn't even necessary.  (Have to check 7.2.8 and other sections.)

> -----Original Message-----
> From: Rupsis, Paul [SMTP:[email-masked]]
> Sent: Friday, February 11, 2000 4:42 PM
> To:   [email-masked]
> Subject:      Virtual MGs
>
> I would like to ask for clarification on addressing
> Virtual MGs. The attached thread indicates that
> multiple ports would be needed when using IP
> transport.
>
> In addition, Section 11.1 states "A physical MG may
> have only one network interface, which must be shared
> across virtual MGs."
>
> Given that only 1 port has been reserved for
> Megaco (2944 for text-based protocol), how can multiple
> virtual MGs be addressed? Or do I assume that v1 of Megaco
> supports N Virtual MGs (N=1)?
>
> Thanks,
>
> Paul Rupsis
> Dialogic, an Intel Company
>
>
>
> -----Original Message-----
> From: Brian Rosen [mailto:[email-masked]]
> Sent: Thursday, November 04, 1999 4:14 PM
> To: [email-masked]
> Subject: Re: MG-MGC control interface
>
>
> You would have a separate port for each association.
>
> The thing now called ServiceChangeAddress would specify it
> if necessary.
>
> > -----Original Message-----
> > From: Petros N. Mouchtaris [mailto:[email-masked]]
> > Sent: Thursday, November 04, 1999 9:27 AM
> > To: [email-masked]
> > Subject: Re: MG-MGC control interface
> >
> >
> > Brian,
> > The previous answer you gave (mId) could work but it would
> > not be pretty.
> > The new answer you are giving would work too but it will not
> > be pretty either.
> >
> > How will the MGC and MG know which port corresponds to which MG?
> > Are you planning to reserve more than one well known port for
> > the protocol?
> >
> > Petros
> >
> >
> >
> >
> >
> > Brian Rosen <[email-masked]> on 11/03/99 08:17:11 PM
> >
> > Please respond to Brian Rosen <[email-masked]>
> >
> > To:   [email-masked]
> > cc:    (bcc: Petros N. Mouchtaris/Telcordia)
> > Subject:  Re: MG-MGC control interface
> >
> >
> >
> >
> > Sorry I confused you.  You are correct. I must have been
> > asleep; this issue
> > was raised and answered before.
> >
> > The transport differentiates the streams.  Using IP
> > transport, for example,
> > each flow is on a different port.  Using ATM transport with
> > SSCOP, each
> > stream is a different VC.
> >
> > Brian
> >
> >
> > > -----Original Message-----
> > > From: Giuseppe Ricagni [mailto:[email-masked]]
> > > Sent: Wednesday, November 03, 1999 10:31 AM
> > > To: Brian Rosen
> > > Cc: [email-masked]
> > > Subject: Re: MG-MGC control interface
> > >
> > >
> > > Sorry Brian, but now I' m confused too.
> > >
> > > Brian Rosen wrote:
> > >
> > > > > By the way, how does a virtual MG know that a message coming
> > > > > from the MGC is
> > > > > destined
> > > > > for this virtual MG? I assume that messages to all virtual
> > > > > MGs in the same
> > > > > physical MG go to the
> > > > > same IP address. The MGC IP address can be used as a way to
> > > > > route messages to
> > > > > the right
> > > > > virtual MG provided that the list of MGC for each virtual MG
> > > > > are mutually
> > > > > exclusive.
> > > > Actually it's more complicated than that, since, at least in
> > > > theory, the same MGC could control multiple virtual MGs on
> > > the same physical
> > > > MG.
> > > >
> > > > The answer is that the mId of the message would be unique
> > > for each virtual
> > > > MG.  That implies you have something like
> > > > aliases in your DNS.
> > > >
> > >
> > > In section 8.3 I read "Messages have a header, which includes
> > > the identity of
> > > the sender. The Message Identifier (MID) of a message is set
> > > to a provisioned
> > > name (e.g. domain address/domain name/device name) of the
> > > entity transmitting
> > > the message."
> > >
> > > The mId identifies the sender' s (MGC) name, and not the
> > > target name (MG),
> > > doesn' t it ?
> > > Do we assume that we need multiple "virtual MGCs" to cater
> > > for virtual MGs ?
> > >
> > >
> > > Best Regards
> > > Giuseppe Ricagni
> > >
> > >
> > >
> > > --
> > > ----------------------------------------------------------
> > > Giuseppe RICAGNI
> > > System Architecture and Product Planning
> > > Broadband Networks
> > > Italtel
> > > via Reiss Romoli - C10
> > > 20019 Castelletto di Settimo Milanese (MILANO)
> > > ITALY
> > >
> > > mailto:[email-masked]
> > > ----------------------------------------------------------
> > >
> > >
> > >
> >